ReferenceAPIsOry Identities APIfrontend
Disable one of my sessions
Calling this endpoint invalidates the specified session. The current session cannot be revoked.
DELETE /sessions/{id}
Calling this endpoint invalidates the specified session. The current session cannot be revoked. Session data are not deleted.
Operation ID: disableMySession Tag: frontend
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | ID is the session's ID. |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
X-Session-Token | string | no | Set the Session Token when calling from non-browser clients. A session token has a format of MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj. |
Cookie | string | no | Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==. It is ok if more than one cookie are included here as all other cookies will be ignored. |
Responses
| Status | Description | Body |
|---|---|---|
| 204 | Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204. | - |
| 400 | errorGeneric | application/json, object |
| 401 | errorGeneric | application/json, object |
| default | errorGeneric | application/json, object |
Generated from /tmp/kratos-api.json at build time.